<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Master_TA_UI_MasterLeavePolicyList, App_Web_aytn2bkp" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="devxEditors" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">

    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            return false;
        }
        function Delete_Conf() {
            //Alert_AreyousuretoDelete
            return confirm('Are you sure to Delete ?');
        }
    </script>

    <div class="content-header">
        <h1 style="background-image: url('../dist/img/leave-policy.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderLeavePolicy" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div id="myModal" class="modal modal-default fade" role="dialog">
            <div class="modal-dialog" style="width: 90%;">
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                            &times;</button>
                        <h4 class="modal-title">
                            <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                        </h4>
                    </div>
                    <div class="modal-body">
                        <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" height="680px"
                            style="border-style: none"></iframe>
                    </div>
                    <div class="modal-footer" style="display: none">
                        <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                            Close</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="border-table new-space" style="margin-top: 0px !important">
            <div class="row">
                <div class="col-md-12" style="overflow: auto">
                    <div class="form-horizontal">
                        <div class="row form-group">
                            <div class="col-md-12" style="overflow: auto; overflow-y: hidden; padding-bottom: 10px">
                                <asp:HiddenField ID="hdnSelectRow" runat="server" />
                                <asp:HiddenField ID="hdnGetAllid" runat="server" />
                                <dxGridview:ASPxGridView ID="grv_LeavePolicy" runat="server" ClientInstanceName="grv_LeavePolicy"
                                    EnableCallBacks="false" AutoGenerateColumns="false" KeyFieldName="Policy_Id"
                                    DataSourceID="ObjectDataSource1" OnHtmlRowCreated="grv_LeavePolicy_HtmlRowCreated">
                                    <Columns>
                                        <dxGridview:GridViewDataColumn VisibleIndex="0" Width="30px" HeaderStyle-VerticalAlign="Middle"
                                            HeaderStyle-HorizontalAlign="Center" CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center">
                                            <Settings AllowAutoFilter="false" />
                                            <Settings AllowAutoFilter="false" />
                                            <HeaderTemplate>
                                                <input id="chkSelectAll" runat="server" type="checkbox" onclick="SelectAllOnThisPage(this)" />
                                            </HeaderTemplate>
                                            <DataItemTemplate>
                                                <input id="chkSelect" runat="server" type="checkbox" onclick="SelectOnRow(this)"
                                                    disabled='<%#DataBinder.Eval(Container.DataItem,"flag").ToString()=="0" %>' accesskey='<%# Eval("Policy_Id") %>' />
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataTextColumn FieldName="Policy_Id" Visible="false">
                                            <DataItemTemplate>
                                                <asp:Label ID="lbl_PolicyId" runat="server" Text=' <%# Eval("Policy_Id")%>'></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Leave Type" FieldName="PolicyName" VisibleIndex="1"
                                            Width="600px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblIsDeleted" runat="server" Text=' <%# Eval("PolicyName")%>'>
                                                </asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" VisibleIndex="2"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" data-target="#myModal" onclick="return navi('TA_UI_MasterLeavePolicyView.aspx?Policy_Id=<%# Eval("Policy_Id") %>')"
                                                    href="#"><span class="btn btn-defalut view-icons"></span></a>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" VisibleIndex="3"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <asp:LinkButton ID="btnEdit" runat="server" ToolTip='<%# Session["Edit"] %>' data-toggle="tooltip"
                                                    OnClick="EditLinkButton_Click" CommandName='<%# Eval("Policy_Id") %>' data-placement="top"
                                                    CssClass="btn btn-defalut edit-icons" Style="color: #3C8DBC"></asp:LinkButton>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" VisibleIndex="4"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <asp:LinkButton ID="btnDelete" runat="server" ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip"
                                                    OnClick="btn_delete_Click" CommandName='<%# Eval("Policy_Id") %>' data-placement="top"
                                                    CssClass="btn btn-defalut del-icons" Style="color: Red" OnClientClick="return Delete_Conf();"></asp:LinkButton>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                    </Columns>
                                    <SettingsText EmptyDataRow="No Records Found" />
                                     <SettingsPager PageSize="10">
                                                <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50" />
                                            </SettingsPager>
                                            <Settings ShowFilterRow="true" ShowFilterRowMenu="true" ShowStatusBar="Auto" VerticalScrollableHeight="320" />
                                            
                                    <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="true" />
                                    <Styles AlternatingRow-CssClass="table-bg">
                                    </Styles>
                                    <%--  <ClientSideEvents Init="OnInit" EndCallback="OnEndCallback" />--%>
                                </dxGridview:ASPxGridView>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_Add" CssClass="btn add-btn fa-plus" runat="server" OnClick="btn_Add_Click" />
                                    <asp:LinkButton ID="btn_Delete" CssClass="but" runat="server" CausesValidation="False"
                                        OnClientClick="return confirmdelete(this.form);" Visible="false" Style="display: none" />
                                    <asp:LinkButton ID="btn_Restore" CssClass="btn btn-primary fa fa-recycle" runat="server"
                                        OnClientClick="return RestoreData();" OnClick="btn_Restore_Click" Visible="false" />
                                    <asp:HiddenField ID="hdnDeletedData" runat="server" />
                                    <asp:LinkButton ID="btn_PermanentDelete" CssClass="btn del-btn fa-trash-o" runat="server"
                                        OnClientClick="return Permanentconfirmdelete(this.form);" OnClick="btn_PermanentDelete_Click" />
                                    <asp:LinkButton ID="btn_Cancel" CssClass="btn btn-primary fa fa-hand-o-left" runat="server"
                                        Visible="false" OnClick="btn_Cancel_Click" />
                                    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="SelectAllLeavePolicy"
                                        TypeName="LeaveEventData">
                                        <SelectParameters>
                                            <asp:SessionParameter Name="strUserGroupName" SessionField="UserGroupName" Type="String" />
                                        </SelectParameters>
                                    </asp:ObjectDataSource>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript" language="javascript">
        //     function OnInit(s, e) {
        // 
        //            AdjustSize();
        //        }
        //        function OnEndCallback(s, e) {
        //            AdjustSize();
        //        }
        //         
        //        function AdjustSize() {        
        //        
        //            var height = Math.max(0, document.documentElement.clientHeight);
        //            var width = Math.max(0, document.documentElement.clientWidth);
        //            grid.SetHeight(height);            
        //        }
        function SelectAllOnThisPage(chkSelectAll) {
            var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
        var hdnSelectAll = document.getElementById('<%= hdnGetAllid.ClientID %>');
        if (chkSelectAll.checked == true) {
            for (var i = 0; i < grv_LeavePolicy.pageRowCount; i++) {
                if (document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                    document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').checked = true;
                    var hdnUserId = document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').accessKey;
                    var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                    var removeId = hdnSelectRow.value.split(",");
                    if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                        if (hdnSelectRow.value != "")
                            hdnSelectRow.value += ",";
                        hdnSelectRow.value += hdnUserId;
                    }
                }
            }
        }
        else {
            for (var i = 0; i < grv_LeavePolicy.pageRowCount; i++) {
                document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').checked = false;
            }
            hdnSelectRow.value = '';
        }
    }
    function SelectOnRow(chkOnSelect) {
        var hdnUserId = chkOnSelect.accessKey;
        var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
        var removeId = hdnSelectRow.value.split(",");
        if (chkOnSelect.checked) {
            if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                if (hdnSelectRow.value != "")
                    hdnSelectRow.value += ",";
                hdnSelectRow.value += hdnUserId;
            }
            var varTotalCheckedCount = 0; var varTotalEnabled = 0;
            for (var i = 0; i < grv_LeavePolicy.pageRowCount; i++) {
                if (document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                    varTotalEnabled = varTotalEnabled + 1;
                }
                if (document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_cell' + (i + grv_LeavePolicy.visibleStartIndex) + '_0_chkSelect').checked)
                    varTotalCheckedCount = varTotalCheckedCount + 1;
            }
            if (varTotalCheckedCount == varTotalEnabled)
                document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_header0_chkSelectAll').checked = true;
            else
                document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_header0_chkSelectAll').checked = false;
        }
        else {
            if (Array.contains(removeId, hdnUserId)) {
                Array.remove(removeId, hdnUserId);
            }
            hdnSelectRow.value = removeId;
            document.getElementById('ctl00_BodyContentPH_grv_LeavePolicy_header0_chkSelectAll').checked = false;
        }
    }
    var Norecordsavailable = "No records available ";
    var AreyousuretoRestore = "Are you sure to Restore? ";
    var Selecteddataisnotindeletedstatus = "Selected data is not in deleted status ";
    var Selectdatatorestore = "Select data to restore ";
    var Nodeletedrecordsavailable = "No deleted records available ";
    function RestoreAlert(norecordsavailable, areyousuretoRestore, selecteddataisnotindeletedstatus, selectdatatorestore, nodeletedrecordsavailable) {
        Norecordsavailable = norecordsavailable;
        AreyousuretoRestore = areyousuretoRestore;
        Selecteddataisnotindeletedstatus = selecteddataisnotindeletedstatus;
        Selectdatatorestore = selectdatatorestore;
        Nodeletedrecordsavailable = nodeletedrecordsavailable;
    }
    function RestoreData() {
        var rowscount = grv_LeavePolicy.pageRowCount;
        if (rowscount == 0) {
            alert(Norecordsavailable);
            return false;
        }
        var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
        var DeleteDataRow = document.getElementById('<%= hdnDeletedData.ClientID %>');
        if (DeleteDataRow.value != '') {
            if (hdnSelectRow.value != '') {
                var selectedRow = new Array();
                selectedRow = hdnSelectRow.value.split(",");
                var deletedRow = new Array();
                deletedRow = DeleteDataRow.value.split(",");
                var Status = false;
                for (var i = 0; i < selectedRow.length; i++) {
                    //alert(selectedRow[i]);
                    if (Array.contains(deletedRow, selectedRow[i])) {
                        Status = true;
                    }
                }
                if (Status == true) {
                    return confirm(AreyousuretoRestore);
                }
                else {
                    alert(Selecteddataisnotindeletedstatus);
                    return false;
                }
            }
            else {
                alert(Selectdatatorestore);
                return false;
            }
        }
        else {
            if (hdnSelectRow.value == '') {
                alert(Nodeletedrecordsavailable);
                return false;
            }
            else {
                alert(Selecteddataisnotindeletedstatus);
                return false;
            }
        }
    }
    </script>

</asp:Content>
